List analyses for a subject
curl --request GET \
--url https://partner-api.ochy-prod.com/analysis/subjects/{subject_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://partner-api.ochy-prod.com/analysis/subjects/{subject_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partner-api.ochy-prod.com/analysis/subjects/{subject_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"analysis_ids": [
{
"id": "3dde3402-94d7-462e-a784-9306207108dd",
"status": "success"
},
{
"id": "3ea20fb3-e918-4d98-94ca-7477cedae9ed",
"status": "success"
},
{
"id": "6af9c095-01c6-45d0-a290-26d9080df622",
"status": "analyzing"
}
],
"count": 3
}{
"detail": "API Key is missing"
}{
"detail": "API Key is missing"
}{
"detail": "Subject not found"
}{
"detail": "Internal server error",
"code": "insufficient_api_credits"
}Analysis
List analyses for a subject
Retrieve all analysis IDs and their statuses for a specific subject. The subject must belong to the authenticated partner and must not be deleted.
GET
/
analysis
/
subjects
/
{subject_id}
List analyses for a subject
curl --request GET \
--url https://partner-api.ochy-prod.com/analysis/subjects/{subject_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://partner-api.ochy-prod.com/analysis/subjects/{subject_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partner-api.ochy-prod.com/analysis/subjects/{subject_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"analysis_ids": [
{
"id": "3dde3402-94d7-462e-a784-9306207108dd",
"status": "success"
},
{
"id": "3ea20fb3-e918-4d98-94ca-7477cedae9ed",
"status": "success"
},
{
"id": "6af9c095-01c6-45d0-a290-26d9080df622",
"status": "analyzing"
}
],
"count": 3
}{
"detail": "API Key is missing"
}{
"detail": "API Key is missing"
}{
"detail": "Subject not found"
}{
"detail": "Internal server error",
"code": "insufficient_api_credits"
}Authorizations
bearerAuthapiKeyHeaderapiKeyQuery
Recommended. Pass your API key as a Bearer token in the Authorization header: Authorization: Bearer YOUR_API_KEY.
Path Parameters
Subject ID.